

import java.util.Iterator;
import java.util.Vector;

import org.apache.juddi.datastore.dht.BusinessServiceTable;
import org.apache.juddi.datastore.dht.DHTDataStore;
import org.apache.juddi.datastore.dht.DiscoveryURLTable;
import org.apache.juddi.datastore.dht.datatype.BusinessEntity;
import org.apache.juddi.datastore.dht.datatype.DiscoveryURL;
import org.apache.juddi.datastore.dht.datatype.ServiceName;
import org.apache.juddi.datatype.service.BusinessService;


import dermi.DHTHandler;
import dermi.exception.RemoteException;


import org.planet.snap.*;

import javax.servlet.*;
import javax.servlet.http.*;
import org.apache.axis.*;
import org.apache.axis.transport.http.*;



/**
 * @author Oscar Barrios Torrero
 * 
 */
public class Connect2 {
	DHTHandler conn;
	
	public Connect2() {
	    HttpServlet srv = (HttpServlet) MessageContext.getCurrentContext().getProperty(HTTPConstants.MC_HTTP_SERVLET);
	    ServletContext servletContext = srv.getServletContext();
	    Application app = (Application) servletContext.getAttribute ("snapApp");
		conn = app.getStorageContext();
	}

	/*
	 * Return a Vector of DiscoveryURL, find by service name 
	 */
	
	@SuppressWarnings("unchecked")
	public Vector<String> getDiscoveryURLbyName(Vector nameList) {

		Vector urlList = new Vector();
		Vector<ServiceName> ServiceNameList = new Vector<ServiceName>();
		try {
				
			if (conn != null) {
				try {
					DHTDataStore ds = new DHTDataStore(conn);

					ServiceNameList = ds.findService("", nameList, null, null,
							null);
					Iterator it = ServiceNameList.iterator();
					while (it.hasNext()) {
						ServiceName sn = (ServiceName) it.next();

						BusinessService bs = BusinessServiceTable.select(sn
								.getServiceKey(), conn);
						
						urlList.addAll(DiscoveryURLTable.select(bs
								.getBusinessKey(), conn));
						System.out.println(urlList.elements());
					}
					
				} catch (Exception ex) {

					try {
						throw ex;
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
			}
		} finally {
			if (conn != null)
				try {
					conn.leave();
				} catch (RemoteException e) {
					e.printStackTrace();
				}
		}
		Vector<String> urls = new Vector<String>();
		Iterator it = urlList.iterator();
		while(it.hasNext()){
			String url = ((org.apache.juddi.datatype.DiscoveryURL)it.next()).getValue();
			System.out.println(url);
			urls.add(url);
		}

		   
		   
		return urls;

	}

/*
 * Insert web service information in duddi
 */
	public boolean insertService(BusinessService bs, BusinessEntity be) {
		boolean confirmation = false;
		try {
			
			if (conn != null) {
				try {
					DHTDataStore ds = new DHTDataStore(conn);
					ds.saveService(bs);
					ds.saveBusiness(be.getBusiness(), be.getPublisherID());
					confirmation=true;
				} catch (Exception ex) {

					try {
						throw ex;
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
			}
		} finally {
			if (conn != null)
				try {
					conn.leave();
				} catch (RemoteException e) {
					e.printStackTrace();
				}
		}

		return confirmation;

	}
	

}
